package jp.co.headwaters.webappos.cache.bean;

import java.util.Map;

public class ActionBean {

	/** action名 */
	private String name;
	/** HTML格納パス(相対パス) */
	private String htmlPath;
	/** jspファイル毎の画面ロード時実行情報 */
	private Map<String, ExecuteBean> loadExecuteMap;
	/** form識別子毎の実行情報 */
	private Map<String, ExecuteBean> submitExecuteMap;
	/** ダイレクト画面表示を許可する画面 */
	private Map<String, String> directAccessMap;

	public ActionBean(String name, String htmlPath) {
		this.setName(name);
		this.setHtmlPath(htmlPath);
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getHtmlPath() {
		return htmlPath;
	}

	public void setHtmlPath(String htmlPath) {
		this.htmlPath = htmlPath;
	}

	public Map<String, ExecuteBean> getLoadExecuteMap() {
		return loadExecuteMap;
	}

	public void setLoadExecuteMap(Map<String, ExecuteBean> loadExecuteMap) {
		this.loadExecuteMap = loadExecuteMap;
	}

	public Map<String, ExecuteBean> getSubmitExecuteMap() {
		return submitExecuteMap;
	}

	public void setSubmitExecuteMap(Map<String, ExecuteBean> submitExecuteMap) {
		this.submitExecuteMap = submitExecuteMap;
	}

	public Map<String, String> getDirectAccessMap() {
		return directAccessMap;
	}

	public void setDirectAccessMap(Map<String, String> directAccessMap) {
		this.directAccessMap = directAccessMap;
	}


}
